Bug 737124 - NewPkg: kstart for renewing kerberos tickets for services
Summary: NewPkg: kstart for renewing kerberos tickets for services
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: distribution
Version: 5.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Dmitri Pal
QA Contact: Ondrej Hudlicky
URL:
Whiteboard:
Depends On: 737123
Blocks: 674579
TreeView+ depends on / blocked
 
Reported: 2011-09-09 16:53 UTC by Perry Myers
Modified: 2011-09-30 21:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 737123
Environment:
Last Closed: 2011-09-30 19:42:02 UTC


Attachments (Terms of Use)

Description Perry Myers 2011-09-09 16:53:16 UTC
+++ This bug was initially created as a clone of Bug #737123 +++

Description of problem:
Matahari will use kerberos for auth from broker to broker as well as agent to broker, and to do this we need a way to programatically renew tickets otherwise kerberos usage is not useful

kstart provides a way to do this, but the package is not in RHEL

Comment 2 RHEL Product and Program Management 2011-09-23 00:54:51 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 3 Perry Myers 2011-09-30 19:42:02 UTC
Talked with Dmitri about this and consensus was that we will not pull this package into RHEL at this time.  We will document how to set up cron as a workarond for renewing kerberos tickets, and eventually if GSSAPI changes can be made to support ticket renewals we will use that

Comment 4 Dmitri Pal 2011-09-30 21:00:48 UTC
Or will deliver interim code to do it in Matahari. Not going to package it.


Note You need to log in before you can comment on or make changes to this bug.